session_param Struct Reference

Session parameters. More...

`#include <session_manager.h>`

## Data Fields

channellist_param_t * | channellist
| channel list pointer
cachemodellist_param_t * | cachemodellist
| cache list pointer
struct session_param * | next
| pointer to the next session

## Detailed Description

Session parameters.

## Field Documentation

## cachemodellist

cachemodellist_param_t* session_param::cachemodellist

cache list pointer

Referenced by delete_sessionlist(), gene_session(), insert_cachemodel_into_session(), and print_allsession().

## channellist

channellist_param_t* session_param::channellist

channel list pointer

Referenced by delete_sessionlist(), gene_session(), and print_allsession().

## next

struct session_param* session_param::next

pointer to the next session

Referenced by delete_session(), delete_sessionlist(), gene_session(), print_allsession(), and search_session_and_channel().

The documentation for this struct was generated from the following file:

- session_manager.h